%{?nodejs_find_provides_and_requires}

%global packagename coffee-script
%global enable_tests 1

Name:		nodejs-coffee-script
Version:	1.10.0
Release:	1%{?dist}
Summary:	Unfancy JavaScript

License:	MIT
URL:		https://github.com/jashkenas/coffeescript.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1,2,3} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	examples-%{version}.tar.bz2
Source3:	src-%{version}.tar.bz2
Source10:	dl-tests.sh

# The npm tarball doesn't contain the Cakefile either, so let's grab that from
# from the 1.10.0 tag of the upstream github repo
Source4:	https://raw.githubusercontent.com/jashkenas/coffeescript/f26d33d418dcdcfcc6ad3ab774d9cabbf7af659c/Cakefile


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(underscore)
%endif


Requires:	nodejs

%description
Unfancy JavaScript


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
%setup -q -T -D -a 3 -n package
cp -p %{SOURCE4} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json lib/ *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir %{buildroot}%{nodejs_sitelib}/%{packagename}/bin
install -p -D -m0755 bin/cake %{buildroot}%{nodejs_sitelib}/%{packagename}/bin/cake
install -p -D -m0755 bin/coffee %{buildroot}%{nodejs_sitelib}/%{packagename}/bin/coffee

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/cake \
    %{buildroot}%{_bindir}/cake
ln -sf %{nodejs_sitelib}/%{packagename}/bin/coffee \
    %{buildroot}%{_bindir}/coffee


%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs ./bin/cake test
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md examples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}
%{_bindir}/cake
%{_bindir}/coffee



%changelog
* Wed Nov  4 2015 Jared Smith <jsmith@fedoraproject.org> - 1.10.0-1
- Initial packaging
